<Type Name="UnixDriveType" FullName="Mono.Unix.UnixDriveType">
  <TypeSignature Language="C#" Value="public enum UnixDriveType" />
  <AssemblyInfo>
    <AssemblyName>Mono.Posix</AssemblyName>
    <AssemblyVersion>2.0.0.0</AssemblyVersion>
  </AssemblyInfo>
  <Base>
    <BaseTypeName>System.Enum</BaseTypeName>
  </Base>
  <Members>
    <Member MemberName="Unknown">
      <MemberSignature Language="C#" Value="Unknown" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.UnixDriveType</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>Unknown drive type.</summary>
      </Docs>
    </Member>
    <Member MemberName="NoRootDirectory">
      <MemberSignature Language="C#" Value="NoRootDirectory" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.UnixDriveType</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
      </Docs>
    </Member>
    <Member MemberName="Removable">
      <MemberSignature Language="C#" Value="Removable" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.UnixDriveType</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>Drive is a removable drive, such as a USB keydrive.</summary>
      </Docs>
    </Member>
    <Member MemberName="Fixed">
      <MemberSignature Language="C#" Value="Fixed" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.UnixDriveType</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>Drive is a non-removable drive, such as a built-in hard
        drive.</summary>
      </Docs>
    </Member>
    <Member MemberName="Network">
      <MemberSignature Language="C#" Value="Network" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.UnixDriveType</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>Drive is a network-mounted drive, such as over NFS or SMB.</summary>
      </Docs>
    </Member>
    <Member MemberName="CDRom">
      <MemberSignature Language="C#" Value="CDRom" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.UnixDriveType</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>Drive is a CD-ROM drive.</summary>
      </Docs>
    </Member>
    <Member MemberName="Ram">
      <MemberSignature Language="C#" Value="Ram" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.UnixDriveType</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>Drive is a RAM disk.</summary>
      </Docs>
    </Member>
  </Members>
  <Docs>
    <summary>Possible <see cref="P:Mono.Unix.UnixDriveInfo.DriveType" />
      values.</summary>
    <remarks>
    </remarks>
  </Docs>
</Type>
